%{?nodejs_find_provides_and_requires}

%global packagename each
%global enable_tests 1

Name:		nodejs-each
Version:	0.5.2
Release:	1%{?dist}
Summary:	Chained and parallel async iterator in one elegant function

License:	BSD
URL:		https://github.com/wdavidw/node-each.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	coffee-script
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Chained and parallel async iterator in one elegant function


%prep
%setup -q -n package

%nodejs_fixdep glob '^5.0.10'

# remove pre-compiled script
rm lib/*.js


%build
%{_bindir}/coffee -c -b -o lib/ src/

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test %{_bindir}/mocha --compilers coffee:coffee-script/register -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md samples/ doc/
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Nov  8 2015 Jared Smith <jsmith@fedoraproject.org> - 0.5.2-1
- Initial packaging
